Get list of integrations
curl --request GET \
--url https://api.chift.eu/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"integrationid": 123,
"name": "<string>",
"status": "active",
"api": "Point of Sale",
"logo_url": "<string>",
"icon_url": "<string>",
"description": "<string>",
"post_connections": [],
"operations_coverage": [],
"credentials": [],
"supported_countries": "BE",
"local_agent": false
}
]{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Integrations
Get list of integrations
Returns a list of integrations (active and inactive) available for your account
GET
/
integrations
Get list of integrations
Learn more:
Authorizations
This access token needs to be included in each of your request to the Chift API.
Query Parameters
Available options:
active, inactive Available options:
true, false Response
Successful Response
Available options:
active, inactive Available options:
Point of Sale, eCommerce, Accounting, Invoicing, Communication, Banking, Custom, Payment, Property Management System List of post-connections that can be activated for this integration.
Show child attributes
Show child attributes
List of operations coverage for this integration.
Show child attributes
Show child attributes
List of credentials that must be specified to create a connection. Can be used if you want to pass credentials on connection creation. Not compatible with oAuth2 routes.
Show child attributes
Show child attributes
Country codes (ISO 3166-1 alpha-2) where this integration is supported. If not defined, the integration is supported globally.
Example:
"BE"
This field indicate if the integration is a local agent.